using System.Collections.Generic;
using System.Threading.Tasks;
using MDL.Models;

namespace DAL.Interfaces
{
    public interface ITagInstanceRepository
    {
        Task<TagInstanceEntity> CreateAsync(TagInstanceEntity entity);
        Task<TagInstanceEntity> UpdateAsync(TagInstanceEntity entity);
        Task<TagInstanceEntity> GetByIdAsync(long id);
        Task<List<TagInstanceEntity>> GetByWaybillAsync(string neutralWaybillNumber);
        Task<List<TagInstanceEntity>> GetByTagTypeAsync(string tagType);
    }
}
